! ----------------------------------------------------------- !
      module grt
! ----------------------------------------------------------- !
! Contains global data for the transfer of spectral info.
! ----------------------------------------------------------- !
      implicit none
      integer, parameter :: sg = 5000
      integer, parameter :: np=4500
      integer, parameter :: mz = 10
      integer, parameter :: nelm = 2
      integer :: nsize
      integer :: ixsp
      integer :: iems
      integer :: iopc
      real(8), dimension(np) :: xspec1d
      real(8), dimension(np) :: emis1d
      real(8), dimension(np) :: opac1d
      type store 
         real(8), dimension(np) :: array
         integer :: nsize
      end type
      type(store), dimension(0:nelm) :: emis
      type(store), dimension(0:nelm) :: opac
      type(store), dimension(0:nelm) :: xspec
      end module grt
